/**
 * Implements counters of dice rolls
 * @author Mark Stehlik
 */
public class DiceTally
{
	private int[] tally;
	private int numTries;
	
	/**
	 * Constructs counters for 2 6-sided dice
	 * @param number of times to roll the pair of dice
	 */
	public DiceTally (int tries)
	{
		tally = new int[13];
		numTries = tries;
	}
	
	/**
	 * Throws the dice and counts the resulting rolls
	 *
	 */
	public void throwDice()
	{
		Dice d = new Dice();
		int sum;
	
		for (int i = 1; i <= numTries; i++)
		{
			sum = d.roll() + d.roll();
			tally[sum]++;
		}
	}
	
	/**
	 * Returns a string representation of the counters
	 * @return the string representation
	 */
	public String toString()
	{
		String result = "\nSum\tCount\tHistogram\n";
		
		for (int i = 2; i <= 12; i++)
		{
			result += i + "\t" + tally[i] + "\t";
			for (int tick = 0; tick < tally[i]; tick += 10)
				result += "*";
			result += "\n";
		}
		
		return result;
	}
}